/*reglage de la tension de consigne du controleur moteur
 à partir du signal filtré d'un accélérateur de trotte
 
 entre 0.8V et 3,8V
 
 sortie entre 0V et 5V (ou moins)
 
 */

int Vmax=255;

boolean debug=true;


int capteur=5;//A5
int sortie=3;

void setup(){

  pinMode(sortie,OUTPUT);
  if (debug) Serial.begin(9600);
  delay(1000);
}

void loop(){

  ///lecture du capteur
  int tension=analogRead(capteur);

  if (debug) Serial.print(tension);

  tension=map(tension,200,990,0,Vmax);
  if (debug){
    Serial.print(" after : ");
    Serial.println(tension);
  }
  analogWrite(sortie,tension);
  delay(100);
}


